.menu
{
    @include flex(column,flex-start,flex-end);
    padding-top: 13px;
    padding-bottom: 13px;

    & input[type=checkbox]
    {
        display: none;
    }  

    &__btn
    {
        width: 45px;
        height: 37px;
        background: $menuButtonColor;
        @include flex(column,center, center);
    }

   

    #menu-switcher:checked + &__btn &__burger:nth-child(1)
    {
        transform: rotate(45deg) translateX(15%);
    }
    #menu-switcher:checked + &__btn  &__burger:nth-child(2)
    {
       display: none;
    }
    #menu-switcher:checked + &__btn &__burger:nth-child(3)
    {
        transform: rotate(-45deg) translateX(15%);
    }

    #menu-switcher:checked + &__btn + &__list-wrapper
    {
        display: block;
    }

    &__burger
    {
        width: 17px;
        height: 2px;
        background: $mainBackground;
        margin-bottom: 2px;
        transition: transform .5s ease-out;
    }

    &__list-wrapper
    {
        position: relative;
        width: 183px;
        display: none;
    }

    &__list
    {
        width: 100%;
        @include flex(column,center);
        position: absolute;
        top: 0;
        right: 0;
    }

    &__item
    {
        text-transform: uppercase;
        padding: 10px 13px;
        color: $textColorMenu;
        font-size: 11px;
        font-weight: 400;
        background: $bgColorMenu;
    }

    &__item:hover
    {
        background: $bgColorMenuHover;
    }

    &__item-active
    {
        color: $textColorMenuActive;
    }

    @media(min-width: 768px)
    {
        
        // display: block;
        @include flex(row,center);
        
        &__btn
        {
            display: none;
            pointer-events: none;
        }

        &__list-wrapper
        {
            position: static;
            width: 100%;
            display: block;
        }

        &__list
        {
            position: static;
            @include flex(row,center);
        }

        &__item
        {
            background: inherit;
            // margin-right: 35px;
        }

        &__item:hover
        {
            background: transparent;
        }
    }


    @media(min-width: 1200px)
    {
        // @include flex(row,center,center);
        &__item:not(:last-of-type)
        {
            margin-right: 70px;
        }
    }

}